import request from '@/utils/request'
const service_name = "oil-identity"
const group_name = "weChatAuthorization"
export default {
  autoLogin (data,url) {
     return request({
       url: `/${service_name}/${group_name}/${url}`,
       method: 'post',
	   data:data
     })
   },
   sendCode (code) {
      return request({
        url: `/${service_name}/${group_name}/sendCode`,
        method: 'post',
   	   data:{
   		   code:code,
		    appId:'wx2f203fde39b883bc'
   	   }
      })
    },
	bindLoginByPhone (data,url) {
	   return request({
	     url: `/${service_name}/${group_name}/${url}`,
	     method: 'post',
	     data:{
			 ...data,
			 appId:'wx2f203fde39b883bc'
		 }
	   })
	 },

	decryptPhoneNumber (data) {
	   return request({
	     url: `/${service_name}/${group_name}/decryptWeChatPhoneData`,
	     method: 'post',
	     data:data
	   })
	 }
	
	
}
